Get all action isn't supported
get
/fscmRestApi/resources/11.13.18.05/supplierNegotiationAwards
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds the negotiation according to the primary key.
Finder Variables- AuctionHeaderId; integer; Value that uniquely identifies a negotiation.
- PrimaryKey Finds the negotiation according to the primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- AuctionHeaderId; integer; Value that uniquely identifies the negotiation.
- AwardApprovalStatus; string; Indicates current award approval status.
- AwardApprovalSubmitDate; string; Number of times the application can extend the negotiation.
- AwardDate; string; Date on which the negotiation was awarded.
- AwardStatus; string; Value that identifies whether the response was awarded or rejected.
- AwardedProspectiveSuppliers; number; Number of prospective suppliers awarded in the negotiation.
- CanViewSecondStageDetails; string; Indicates if the user can see second-stage details in a two-stage negotiation.
- ContractType; string; Value that uniquely identifies the contract type for the short-term or long-term purchase.
- CountOfRequirementsWithKnockoutScore; string; Count of requirements that have a knockout score defined.
- Currency; string; Name of the negotiation currency.
- CurrencyCode; string; Value that identifies the code of the currency used by buyer organization.
- CurrentOutcomeCode; string; Abbreviation that identifies the type of current purchasing document. Valid values are STANDARD, BLANKET, and CONTRACT.
- DisplayAlternateLinesFlag; boolean; Contains one of the following values: true or false. If true, the alternate lines are displayed. If false, the alternate lines aren't displayed.
- DisplayMultipleLegalEntitiesWarningFlag; boolean; Indicates whether the negotiation involves multiple legal entities.
- HasShortlistedResponses; string; Indicates whether the negotiation stage has shortlisted responses for the next stage in a two-stage negotiation.
- LargeNegEnabledFlag; boolean; Value that indicates if large negotiation is enabled.
- LastUpdateDate; string; Timestamp of the last update of the row.
- Negotiation; string; Number that uniquely identifies the negotiation.
- NegotiationOwner; string; Name of the negotiation owner.
- NegotiationTitle; string; Title of the negotiation as defined by the category manager.
- PricePrecision; integer; Value that specifies the precision in the number of digits after the decimal for the negotiation currency.
- ProcurementBUId; integer; Value that uniquely identifies the procurement business unit that owns the negotiation.
- RequisitionBUImplementedFlag; boolean; If true, show requisition column, if not, don't show.
- TotalAwardedLinesWithoutRequisitioningBU; integer; Count of awarded lines in the negotiation without a requisitioning business unit.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : supplierNegotiationAwards
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : supplierNegotiationAwards-item-response
Type:
Show Source
object-
attachments: array
Attachments
Title:
AttachmentsThe Attachments resource manages details about attachments for supplier negotiation. -
AuctionHeaderId: integer
Read Only:
trueValue that uniquely identifies the negotiation. -
AwardApprovalStatus: string
Read Only:
trueMaximum Length:30Indicates current award approval status. -
AwardApprovalSubmitDate: string
(date-time)
Read Only:
trueNumber of times the application can extend the negotiation. -
AwardDate: string
Read Only:
trueMaximum Length:255Date on which the negotiation was awarded. -
AwardedProspectiveSuppliers: number
Read Only:
trueNumber of prospective suppliers awarded in the negotiation. -
AwardStatus: string
Read Only:
trueMaximum Length:25Value that identifies whether the response was awarded or rejected. -
CanViewSecondStageDetails: string
Read Only:
trueMaximum Length:255Indicates if the user can see second-stage details in a two-stage negotiation. -
ContractType: string
Read Only:
trueMaximum Length:25Value that uniquely identifies the contract type for the short-term or long-term purchase. -
CountOfRequirementsWithKnockoutScore: string
Read Only:
trueMaximum Length:255Count of requirements that have a knockout score defined. -
Currency: string
Read Only:
trueMaximum Length:80Name of the negotiation currency. -
CurrencyCode: string
Read Only:
trueMaximum Length:15Value that identifies the code of the currency used by buyer organization. -
CurrentOutcomeCode: string
Read Only:
trueMaximum Length:25Abbreviation that identifies the type of current purchasing document. Valid values are STANDARD, BLANKET, and CONTRACT. -
DisplayAlternateLinesFlag: boolean
Read Only:
trueMaximum Length:1Contains one of the following values: true or false. If true, the alternate lines are displayed. If false, the alternate lines aren't displayed. -
DisplayMultipleLegalEntitiesWarningFlag: boolean
Read Only:
trueMaximum Length:1Indicates whether the negotiation involves multiple legal entities. -
HasRequisitionLinesFlag: boolean
Read Only:
trueMaximum Length:255Value that indicates if the negotiation has line items from a requisition. -
HasShortlistedResponses: string
Read Only:
trueMaximum Length:1Indicates whether the negotiation stage has shortlisted responses for the next stage in a two-stage negotiation. -
LargeNegEnabledFlag: boolean
Read Only:
trueMaximum Length:255Value that indicates if large negotiation is enabled. -
LastUpdateDate: string
(date-time)
Read Only:
trueTimestamp of the last update of the row. -
lines: array
Lines
Title:
LinesDetails about the recommended award lines in a supplier negotiation. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
Negotiation: string
Read Only:
trueMaximum Length:255Number that uniquely identifies the negotiation. -
NegotiationOwner: string
Read Only:
trueMaximum Length:255Name of the negotiation owner. -
NegotiationTitle: string
Read Only:
trueMaximum Length:80Title of the negotiation as defined by the category manager. -
PricePrecision: integer
(int32)
Read Only:
trueValue that specifies the precision in the number of digits after the decimal for the negotiation currency. -
ProcurementBUId: integer
(int64)
Read Only:
trueValue that uniquely identifies the procurement business unit that owns the negotiation. -
recommendedResponses: array
Negotiation Recommended Suppliers
Title:
Negotiation Recommended SuppliersThe Negotiation Recommended Suppliers resource manages details about supplier recommendations for a negotiation. -
RequisitionBUImplementedFlag: boolean
Read Only:
trueMaximum Length:1If true, show requisition column, if not, don't show. -
responses: array
Responses
Title:
ResponsesDetails about the supplier responses that are available for the award. -
responsesEliminatedByKnockoutCriteria: array
Responses Eliminated by Knockout Criteria
Title:
Responses Eliminated by Knockout CriteriaDetails about the responses that are eliminated by the knockout criteria. -
responsesQualifiedByKnockoutCriteria: array
Responses Qualified by Knockout Criteria
Title:
Responses Qualified by Knockout CriteriaDetails about the responses that are qualified by the knockout criteria. -
TotalAwardedLinesWithoutRequisitioningBU: integer
Read Only:
trueCount of awarded lines in the negotiation without a requisitioning business unit.
Nested Schema : Attachments
Type:
arrayTitle:
AttachmentsThe Attachments resource manages details about attachments for supplier negotiation.
Show Source
Nested Schema : Lines
Type:
arrayTitle:
LinesDetails about the recommended award lines in a supplier negotiation.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Negotiation Recommended Suppliers
Type:
arrayTitle:
Negotiation Recommended SuppliersThe Negotiation Recommended Suppliers resource manages details about supplier recommendations for a negotiation.
Show Source
Nested Schema : Responses
Type:
arrayTitle:
ResponsesDetails about the supplier responses that are available for the award.
Show Source
Nested Schema : Responses Eliminated by Knockout Criteria
Type:
arrayTitle:
Responses Eliminated by Knockout CriteriaDetails about the responses that are eliminated by the knockout criteria.
Show Source
Nested Schema : Responses Qualified by Knockout Criteria
Type:
arrayTitle:
Responses Qualified by Knockout CriteriaDetails about the responses that are qualified by the knockout criteria.
Show Source
Nested Schema : supplierNegotiationAwards-attachments-item-response
Type:
Show Source
object-
AsyncTrackerId: string
Title:
Asynchronous Upload Tracker IdAn identifier used for tracking the uploaded files. -
AttachedDocumentId: integer
(int64)
Title:
Attached Document IdValue that uniquely identifies the attachment. It's a primary key that the application creates when the user attaches a document. -
CategoryName: string
Title:
CategoryMaximum Length:30Category of the attachment. - ContentRepositoryFileShared: boolean
-
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:255User who created the attachment. -
CreatedByUserName: string
Title:
Created By User NameRead Only:trueLogin that the user used when creating the attachment for the negotiation. -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:trueDate when the user created the attachment record. -
DatatypeCode: string
Title:
TypeMaximum Length:30Default Value:FILEAbbreviation that identifies the data type. Values include FILE, FOLDER, TEXT, or WEB_PAGE. -
Description: string
Title:
DescriptionMaximum Length:255Description of the attachment. -
DmDocumentId: string
Maximum Length:
255Value that uniquely identifies the attached document. -
DmFolderPath: string
Title:
Dm Folder PathMaximum Length:1000Folder path of the attachment. -
DmVersionNumber: string
Maximum Length:
255Number that identifies the version of the attached document. -
DownloadInfo: string
Title:
DownloadInfoJSON object, represented as a string, containing information used to programmatically retrieve a file attachment. -
ErrorStatusCode: string
Title:
Error Status CodeAbbreviation that identifies the error, if any, for the attachment. -
ErrorStatusMessage: string
Title:
Error Status MessageText of the error message, if any, for the attachment. -
ExpirationDate: string
(date-time)
Title:
Expiration DateDate when the contents in the attachment expires. -
FileContents: string
(byte)
Title:
File ContentsContents of the attachment. -
FileName: string
Title:
File NameMaximum Length:2048File name of the attachment. -
FileUrl: string
Title:
File UrlURL (Uniform Resource Locator) of the attachment. -
FileWebImage: string
(byte)
Title:
File Web ImageRead Only:trueThe Base64-encoded image of the file displayed in .png format if the source is a convertible image. -
LastUpdateDate: string
(date-time)
Title:
Last Update DateRead Only:trueDate and time when the user last updated the attachment. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:255User who most recently updated the attachment. -
LastUpdatedByUserName: string
Title:
Last Updated By UserRead Only:trueLogin that the user used when updating the attachment for the negotiation. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PostProcessingAction: string
Title:
PostProcessingActionName of the action that can be performed after an attachment is uploaded. -
Title: string
Title:
TitleTitle of the attachment. -
UploadedFileContentType: string
Title:
Uploaded File Content TypeContent type of the attachment. -
UploadedFileLength: integer
Title:
File SizeLength of the attached file. -
UploadedFileName: string
Title:
Uploaded File NameName of the attached file. -
UploadedText: string
Title:
Uploaded TextText of the attachment. -
Uri: string
Title:
UriMaximum Length:4000URI (Uniform Resource Identifier) that identifies the attachment. -
Url: string
Title:
UrlMaximum Length:4000URI (Uniform Resource Identifier) that identifies the attachment. -
UserName: string
Title:
User NameRead Only:trueMaximum Length:255Sign in details that the user used when adding or modifying the attachment.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : supplierNegotiationAwards-lines-item-response
Type:
Show Source
object-
ActiveResponses: number
Read Only:
trueNumber of active responses for the line. -
AwardDate: string
(date)
Read Only:
trueDate on which the negotiation was awarded. -
AwardedQuantity: number
Read Only:
trueTotal quantity awarded for auction. -
awardedResponseDetails: array
Awarded Response Details
Title:
Awarded Response DetailsDetails of the awarded responses for a negotiation line. -
AwardStatusCode: string
Title:
Award StatusRead Only:trueMaximum Length:25Value that identifies whether the response was awarded or rejected. -
BestResponseNumber: number
Title:
Best ResponseRead Only:trueNumber of the best response for the negotiation line among all responses. -
BestResponsePrice: number
Title:
Best Response PriceRead Only:truePrice of the best response for the negotiation line among all responses. -
BestResponseScore: number
Read Only:
trueTotal score for the line attributes based on the best response received for the negotiation line, where multiple attribute scoring is enabled. -
BidRankingCode: string
Read Only:
trueMaximum Length:25Abbreviation that identifies the rank for the line item in a negotiation based on the response price. -
CategoryName: string
Title:
Category NameRead Only:trueMaximum Length:250The purchasing category for the negotiation line. -
CurrencyCode: string
Read Only:
trueMaximum Length:15Value that identifies the code of the currency used by buyer organization. -
CurrentPrice: number
Title:
Current PriceRead Only:truePrice that the procurement organization is currently paying for the line in the negotiation. -
DisplayAwardPriceFlag: boolean
Read Only:
trueMaximum Length:1Contains one of the following values: true or false. If true, the award price is displayed. If false, the award price isn't displayed. -
GroupTypeCode: string
Read Only:
trueMaximum Length:25Abbreviation that identifies the type of negotiation line, such as line, group, group line, lot, or lot line. A list of accepted values is defined in the lookup type Negotiation Line Type. -
HasRequisitionLinesChanged: string
Read Only:
trueMaximum Length:1Abbreviation that identifies the type of negotiation line, such as line, group, group line, lot, or lot line. A list of accepted values is defined in the lookup type Negotiation Line Type. -
IsRFIFlag: boolean
Read Only:
trueMaximum Length:1Value that identifies the code of the currency used by buyer organization. -
IsStageTwoUnlockedFlag: boolean
Read Only:
trueMaximum Length:1Value that identifies the code of the currency used by buyer organization. -
Item: string
Title:
ItemRead Only:trueMaximum Length:300Name of the inventory item that the buyer intends to purchase. -
ItemRevision: string
Title:
RevisionRead Only:trueMaximum Length:18Revision of the inventory item on the negotiation line. -
Line: string
Read Only:
trueMaximum Length:25Line number of the negotiation line. -
LineDescription: string
Title:
Line DescriptionRead Only:trueMaximum Length:2500Description of the negotiation line. -
LineFilteringNumber: number
Read Only:
trueConverts the values in the Line column from strings to numbers, allowing the column to be sorted and the values to be used in filters. -
LineId: number
Read Only:
trueUnique identifier of the negotiation line. -
LineType: string
Title:
Line TypeRead Only:trueMaximum Length:30Name of the line type that indicates whether the line is for items or services. A list of accepted values is defined in the lookup code ORDER_TYPE_LOOKUP_CODE, with values including Fixed Price and Quantity. To review and update the value for this attribute, use the Setup and Maintenance work area and the Manage Purchasing Line Types task. -
LineTypeCode: string
Read Only:
trueMaximum Length:25Abbreviation that specifies the line type in a negotiation. Valid values are QUANTITY and FIXED PRICE for Goods, and FIXED PRICE for Services line types. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
NoAwardFlag: boolean
Read Only:
trueMaximum Length:1Contains one of the following values: true or false. If true, then the negotiation line is marked as no award. If false, then the negotiation line is awarded. -
NoteToAcceptedSuppliers: string
Read Only:
trueMaximum Length:255Unique identifier of the negotiation line. -
NoteToRejectedSuppliers: string
Read Only:
trueMaximum Length:255Unique identifier of the negotiation line. -
NumberOfAlternateLines: number
Read Only:
trueUnique identifier of the negotiation line. -
NumberOfAwardedAlternateLines: number
Read Only:
trueNumber of alternate lines that are awarded. -
NumberOfAwardedResponses: number
Title:
Awarded ResponsesRead Only:trueUnique identifier of the negotiation line. -
originalRequisitionLines: array
Original Requisition Lines of Negotiation Line
Title:
Original Requisition Lines of Negotiation LineDetails of the original requisition lines backing a negotiation line. -
ParentLineNumber: number
Read Only:
trueValue that uniquely identifies the parent line. -
RemainingQuantity: number
Title:
Remaining QuantityRead Only:trueQuantity remaining after awarding a negotiation line. -
Requisition: string
Read Only:
trueMaximum Length:64Requisition number that the negotiation line references. -
RequisitionHeaderId: number
Read Only:
trueValue that uniquely identifies a requisition. -
RequisitioningBU: string
Title:
Requisitioning BURead Only:trueMaximum Length:240Name of the requisition purchasing unit that the application uses to set default values for each negotiation line. -
RequisitioningBUId: integer
(int64)
Read Only:
trueValue that uniquely identifies the requisition purchasing unit. -
RequisitionLine: string
Title:
Requisition LineRead Only:trueMaximum Length:40Requisition line number that the negotiation line references. -
responsesLines: array
All Bids
Title:
All BidsLines that have been awarded in a supplier negotiation. -
SavingsInAmount: number
Read Only:
trueValue that identifies the amount of savings generated by awarding the lines to one or more supplier responses. -
SavingsInPercent: number
Read Only:
trueValue that identifies the savings percentage that's generated from the awarded supplier responses to the negotiation. -
ShortlistedResponses: number
Title:
Shortlisted ResponsesRead Only:trueNumber of shortlisted responses for a negotiation line. -
TargetQuantity: number
Title:
Target QuantityRead Only:trueQuantity proposed by the procurement organization for the negotiation line. -
TotalAwardAmount: number
Title:
AwardRead Only:trueQuantity proposed by the procurement organization for the negotiation line. -
TransformedBestResponseNumber: number
Read Only:
trueNumber of the response with the best transformed price. -
TransformedBestResponsePrice: number
Read Only:
truePrice of the response with the best transformed price. -
UOM: string
Title:
UOMRead Only:trueMaximum Length:25Name of the unit of measure for the item in the negotiation.
Nested Schema : Awarded Response Details
Type:
arrayTitle:
Awarded Response DetailsDetails of the awarded responses for a negotiation line.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Original Requisition Lines of Negotiation Line
Type:
arrayTitle:
Original Requisition Lines of Negotiation LineDetails of the original requisition lines backing a negotiation line.
Show Source
Nested Schema : All Bids
Type:
arrayTitle:
All BidsLines that have been awarded in a supplier negotiation.
Show Source
Nested Schema : supplierNegotiationAwards-lines-awardedResponseDetails-item-response
Type:
Show Source
object-
AlternateLineDescription: string
Title:
Alternate Line DescriptionRead Only:trueMaximum Length:2500Description of an alternate line. -
AuctionHeaderId: integer
(int64)
Read Only:
trueValue that uniquely identifies the negotiation. -
AwardAmount: number
Title:
Award AmountRead Only:trueAmount awarded to a supplier response line. -
AwardedQuantity: number
Read Only:
trueTotal quantity awarded for auction. -
AwardPrice: number
Title:
Award PriceRead Only:trueFinal price of the awarded line items. -
AwardStatusCode: string
Read Only:
trueMaximum Length:25Value that identifies whether the response was awarded or rejected. -
BestResponseNumber: integer
(int64)
Read Only:
trueNumber of the best response for the negotiation line among all responses. -
BusinessRelationshipCode: string
Read Only:
trueMaximum Length:30Abbreviation that identifies the business relationship of the supplier's enterprise. Values include NONE, PROSPECTIVE, and SPEND_AUTHORIZED. A list of accepted values is defined in the lookup type ORA_POZ_BUSINESS_RELATIONSHIP. -
CurrencyCode: string
Read Only:
trueMaximum Length:15Value that identifies the code of the currency used by buyer organization. -
GroupType: string
Read Only:
trueMaximum Length:25Type of negotiation line, such as line, group, group line, lot, or lot line. A list of accepted values is defined in the lookup type PON_GROUP_TYPE. -
Line: string
Read Only:
trueMaximum Length:25Line number of the negotiation line. -
LineId: number
Read Only:
trueUnique identifier of the negotiation line. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PartialResponseFlag: boolean
Read Only:
trueMaximum Length:1Contains one of the following values: true or false. If true, then the supplier has submitted a partial response. A partial response means the supplier hasn't bid on all lines or is offering a lesser quantity than asked for in the negotiation line. -
Price: number
Read Only:
truePrice quoted by the supplier for a line item in the currency of the negotiation. -
PromisedDeliveryDate: string
(date)
Title:
Promised DateRead Only:trueDate on which the supplier has promised to deliver the goods to the buying organization. -
PromisedShipDate: string
(date)
Title:
Promised Ship DateRead Only:trueDate on which the supplier has promised to ship the goods to the buying organization if the Buyer Managed transportation is checked in negotiation terms. -
PurchaseDocumentAmount: number
Title:
Purchasing Document AmountRead Only:trueThe total amount of the line item based on the awarded quantity. -
PurchaseDocumentPrice: number
Title:
Purchasing Document PriceRead Only:truePrice of the line item based on the award quantity. -
Quantity: number
Title:
QuantityRead Only:trueQuantity of the item in the negotiation. -
Rank: string
Title:
RankRead Only:trueMaximum Length:255The rank value displayed for the line item based on the response price. -
ResponseAmount: number
Read Only:
trueTotal amount calculated for all line items that the supplier offered a price for when responding to a negotiation. -
ResponseNumber: integer
(int64)
Read Only:
trueValue that uniquely identifies the response. -
ResponseStatusCode: string
Read Only:
trueMaximum Length:25Value that uniquely identifies the response status. -
SavingsInAmount: number
Title:
SavingsRead Only:trueValue that identifies the amount of savings generated by awarding the lines to one or more supplier responses. -
SavingsInPercent: number
Title:
SavingsRead Only:trueValue that identifies the savings percentage that's generated from the awarded supplier responses to the negotiation. -
SpendAuthorizationReviewStatusCode: string
Read Only:
trueMaximum Length:30Status code of the supplier's spend authorization review. Accepted values include PENDING_APPROVAL and REJECTED. -
Supplier: string
Read Only:
trueMaximum Length:360Name of the supplier who responds to the negotiation. -
SupplierContact: string
Title:
Supplier ContactRead Only:trueMaximum Length:255Name of the supplier contact at the supplier that responds to the negotiation. -
SupplierContactId: integer
(int64)
Read Only:
trueValue that identifies the contact of the supplier who responds to the negotiation. -
SupplierId: integer
(int64)
Read Only:
trueValue that uniquely identifies the supplier. -
SupplierSite: string
Read Only:
trueMaximum Length:240Name of the supplier site. -
SupplierSiteId: integer
(int64)
Read Only:
trueValue that identifies the supplier site. -
TechnicalEvaluationStatusCode: string
Read Only:
trueMaximum Length:30Value that identifies the technical evaluation completion status. -
UOM: string
Read Only:
trueMaximum Length:25Name of the unit of measure for the item in the negotiation. -
UOMCode: string
Read Only:
trueMaximum Length:3Abbreviation that identifies the unit of measure for the item in the negotiation. -
VendorId: integer
(int64)
Read Only:
trueValue that uniquely identifies the bidder.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : supplierNegotiationAwards-lines-originalRequisitionLines-item-response
Type:
Show Source
object-
AuctionHeaderId: integer
(int64)
Read Only:
trueUnique identifier of negotiation. -
LineId: number
Read Only:
trueUnique identifier of the negotiation line. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
Requisition: string
Title:
RequisitionRead Only:trueMaximum Length:64Requisition number that the negotiation line references. -
RequisitionHeaderId: integer
(int64)
Read Only:
trueUnique identifier of the requisition. -
RequisitioningBU: string
Title:
Requisitioning BURead Only:trueMaximum Length:240Name of the requisitioning business unit. -
RequisitioningBUId: integer
(int64)
Read Only:
trueValue that uniquely identifies the requisition purchasing unit. -
RequisitionLine: number
Title:
LineRead Only:trueRequisition line number that the negotiation line references. -
RequisitionLineAmount: number
Title:
AmountRead Only:trueAmount calculated for a requisition line as price times quantity in the negotiation currency. -
RequisitionLineCurrencyCode: string
Title:
CurrencyRead Only:trueMaximum Length:15Abbreviation that identifies the requisition line currency. -
RequisitionLineDescription: string
Title:
Line DescriptionRead Only:trueMaximum Length:240Description of the requisition line item. -
RequisitionLineId: integer
Read Only:
trueValue that uniquely identifies the associated requisition line. -
RequisitionLineItem: string
Title:
ItemRead Only:trueMaximum Length:300Value that identifies the item of a requisition line. -
RequisitionLinePrice: number
Title:
PriceRead Only:truePrice of the requisition line item in the negotiation currency. -
RequisitionLineQuantity: number
Title:
QuantityRead Only:trueQuantity of the requisition line items in a negotiation. -
UOM: string
Title:
UOMRead Only:trueMaximum Length:25Name of the unit of measure for the item in the negotiation.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : supplierNegotiationAwards-lines-responsesLines-item-response
Type:
Show Source
object-
AlternateLineDescription: string
Read Only:
trueMaximum Length:2500Description of an alternate line. -
AlternateLineFlag: boolean
Read Only:
trueMaximum Length:1Value that indicates if alternate lines are present in the negotiation. -
AuctionHeaderId: integer
Read Only:
trueValue that uniquely identifies the negotiation. -
AwardAmount: number
Read Only:
trueAmount awarded to a supplier response line. -
AwardInternalNote: string
Read Only:
trueMaximum Length:4000Note to the internal members entered by the buyer regarding the award decision. -
AwardNoteToSupplier: string
Read Only:
trueMaximum Length:4000Note to supplier entered during the award process by the buyer. -
AwardPrice: number
Read Only:
trueAward Price -
AwardQuantity: number
Read Only:
trueTotal quantity of line items awarded in a supplier negotiation. -
AwardStatus: string
Read Only:
trueMaximum Length:255Value that identifies whether the response was awarded or rejected. -
AwardUOM: string
Read Only:
trueMaximum Length:25Type of negotiation line, such as line, group, group line, lot, or lot line. A list of accepted values is defined in the lookup type PON_GROUP_TYPE. -
BusinessRelationship: string
Read Only:
trueMaximum Length:255Display name of the business relationship of the supplier's enterprise. Values include None, Prospective, and Spend Authorized. -
CompositeScore: number
Read Only:
trueSum of the weighted requirement score, and the relative pricing score that's calculated based on the total response amount provided by the supplier. The higher the composite score, the better the overall rank. -
GroupAmount: number
Read Only:
trueTotal amount quoted by the supplier bidder for the group lines. -
GroupType: string
Read Only:
trueMaximum Length:25Type of negotiation line, such as line, group, group line, lot, or lot line. A list of accepted values is defined in the lookup type PON_GROUP_TYPE. -
HasQuantityTiersFlag: boolean
Read Only:
trueMaximum Length:1Value that indicates whether the line has quantity-based price tiers. -
HasScoringTeamsFlag: boolean
Read Only:
trueMaximum Length:1Value that indicates whether the supplier negotiation has enabled scoring teams to evaluate the requirements. -
HasShipmentsFlag: boolean
Read Only:
trueMaximum Length:255Value that indicates if the line has shipments. -
Line: string
Read Only:
trueMaximum Length:255Line number of the negotiation line. -
LineAmount: number
Read Only:
trueAmount calculated for a line as price times quantity in a bid submitted to a seller auction. -
LineDescription: string
Read Only:
trueMaximum Length:2500Description of the negotiation line. -
LineId: integer
Read Only:
trueUnique identifier of the negotiation line. -
LinePrice: number
Read Only:
truePrice of the line item based on the award quantity. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MaximumRetainageAmount: number
Read Only:
trueMaximum amount of retainage that can be withheld on a line. -
MinimumReleaseAmount: number
Read Only:
trueMinimum release amount that the supplier quotes when responding to a negotiation with an agreement outcome. -
NoteToBuyer: string
Read Only:
trueMaximum Length:4000Note that the supplier enters for the buyer when responding to the negotiation. -
OverriddenScore: number
Read Only:
trueNew score for a given quote or score that replaces the system-computed average score. -
PartialResponseFlag: boolean
Read Only:
trueMaximum Length:1Contains one of the following values: true or false. If true, then the supplier has submitted a partial response. A partial response means the supplier hasn't bid on all lines or is offering a lesser quantity than asked for in the negotiation line. -
PreviousRoundBidAndScore: string
Read Only:
trueMaximum Length:255Score of the requirements from the previous round of supplier negotiations. -
Price: number
Read Only:
truePrice of the line item based on the award quantity. -
PromisedDeliveryDate: string
(date)
Read Only:
trueDate on which the supplier has promised to deliver the goods to the buying organization. -
PromisedShipDate: string
(date)
Read Only:
trueDate on which the supplier has promised to ship the goods to the buying organization if the Buyer Managed transportation is checked in negotiation terms. -
Quantity: number
Read Only:
trueQuantity of the item in the negotiation. -
Rank: integer
Read Only:
trueThe rank value displayed for the line item based on the response price. -
Response: integer
Read Only:
trueUnique identifier of the supplier response in a supplier negotiation. -
ResponseAmount: number
Read Only:
trueTotal amount calculated for all line items that the supplier offered a price for when responding to a negotiation. -
ResponseStatusCode: string
Read Only:
trueMaximum Length:25Value that uniquely identifies the response status. -
ResponseType: string
Read Only:
trueMaximum Length:25Value that uniquely identifies the response. -
RetainageRatePercent: number
Read Only:
trueValue that identifies the maximum percentage that can be withheld from an invoice as retainage. -
Score: number
Read Only:
trueValue calculated by summing the scores associated with a supplier's responses to requirements specified in the negotiation. -
ScoreOverriddenFlag: boolean
Read Only:
trueMaximum Length:255Contains one of the following values: true or false. If true, then the buyer has overridden the score. If false, then the score isn't overridden. -
ShortlistFlag: boolean
Read Only:
trueMaximum Length:1Value that indicates whether the corresponding bid has been shortlisted. -
Supplier: string
Read Only:
trueMaximum Length:360Name of the supplier who responds to the negotiation. -
SupplierContact: string
Read Only:
trueMaximum Length:255Name of the supplier contact at the supplier that responds to the negotiation. -
SupplierId: integer
Read Only:
trueValue that uniquely identifies the supplier. -
SupplierNumber: string
Read Only:
trueMaximum Length:30Unique identifier for the supplier bidder. -
SupplierSite: string
Read Only:
trueMaximum Length:240Name of the supplier site. -
SupplierSiteId: integer
Read Only:
trueValue that identifies the supplier site. -
TransformedAmount: number
Read Only:
trueTransformed bid total in buyer's currency. -
TransformedGroupAmount: number
Read Only:
trueTotal amount for the line group, including internal cost factors, as responded by the supplier bidder. -
TransformedLineAmount: number
Read Only:
trueTransformed Line Amount -
TransformedLineRank: integer
Read Only:
trueLine ranking based on the total amount for a line group, including internal cost factors, as responded by the supplier bidder. -
TransformedPrice: number
Read Only:
trueTransformed Price -
TransformedRank: integer
Read Only:
trueTransformed Rank for this particular bid. -
UnitPriceSavings: number
Read Only:
trueUnit Price Savings -
UnitPriceSavingsPercent: number
Read Only:
trueUnit Price Savings Percent -
VendorId: integer
Read Only:
trueValue that uniquely identifies the bidder.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : supplierNegotiationAwards-recommendedResponses-item-response
Type:
Show Source
object-
AuctionHeaderId: integer
(int64)
Read Only:
trueValue that uniquely identifies the negotiation. -
CompositeRank: number
Read Only:
trueRank calculated based on the composite score of a supplier. The higher the composite score, then the higher the overall rank. -
CompositeScore: number
Read Only:
trueSum of the weighted requirement score, and the relative pricing score that's calculated based on the total response amount provided by the supplier. The higher the composite score, the better the overall rank. -
CurrencyCode: string
Read Only:
trueMaximum Length:15Value that identifies the code of the currency used by buyer organization. -
lines: array
Recommended Award Lines
Title:
Recommended Award LinesDetails about the recommended award lines in a supplier negotiation. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
NumberOfAwardedLines: number
Read Only:
trueNumber of negotiation lines that are awarded to a response. -
PotentialSavingsAmount: number
Read Only:
trueAmount represents the potential savings for the organization, based on the difference between the suppliers' best response amount for each line with a response and the current negotiation value. -
PotentialSavingsPercentage: number
Read Only:
truePercentage represents the organization's potential savings, calculated based on the difference between the suppliers' best response amount for each line with a response and the current negotiation value, relative to the current value of the negotiation lines with a response. -
RecommendedAwardAmount: number
Read Only:
trueRecommended award amount for a line. -
RecommendedAwardId: integer
(int64)
Read Only:
trueValue that uniquely identifies the recommended supplier for a negotiation. -
ResponseAmount: number
Read Only:
trueTotal amount calculated for all line items that the supplier offered a price for when responding to a negotiation. -
ResponseNumber: integer
(int64)
Read Only:
trueValue that uniquely identifies the response. -
Score: number
Read Only:
trueValue calculated by summing the scores associated with a supplier's responses to requirements specified in the negotiation. -
ShortlistFlag: boolean
Read Only:
trueMaximum Length:1Value that indicates whether the corresponding bid has been shortlisted. -
Supplier: string
Read Only:
trueMaximum Length:360Name of the supplier who responds to the negotiation. -
SupplierContact: string
Read Only:
trueMaximum Length:302Name of the supplier contact at the supplier that responds to the negotiation. -
SupplierContactId: integer
(int64)
Read Only:
trueValue that identifies the contact of the supplier who responds to the negotiation. -
SupplierId: integer
(int64)
Read Only:
trueValue that uniquely identifies the supplier. -
SupplierSite: string
Read Only:
trueMaximum Length:240Name of the supplier site. -
SupplierSiteId: integer
(int64)
Read Only:
trueValue that identifies the supplier site. -
TransformedRank: number
Read Only:
trueTransformed Rank for this particular bid. -
VendorId: integer
(int64)
Read Only:
trueValue that uniquely identifies the bidder.
Nested Schema : Recommended Award Lines
Type:
arrayTitle:
Recommended Award LinesDetails about the recommended award lines in a supplier negotiation.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : supplierNegotiationAwards-recommendedResponses-lines-item-response
Type:
Show Source
object-
AgreementQuantity: number
Read Only:
trueTotal quantity of line items recommended for award in a blanket purchase agreement during a supplier negotiation. -
AuctionHeaderId: integer
(int64)
A unique ID assigned to each negotiation.
-
AwardAmount: number
Read Only:
trueThe total amount awarded to a supplier response. -
AwardQuantity: number
Read Only:
trueTotal quantity of line items awarded in a supplier negotiation. -
CurrentPrice: number
Read Only:
truePrice of the corresponding line item that will be mentioned on the purchasing document. This is displayed in the transactional currency of the purchasing document. -
Description: string
Title:
DescriptionMaximum Length:2500Description of the awarded line item. -
Item: string
Read Only:
trueMaximum Length:300Item -
ItemRevision: string
Title:
RevisionMaximum Length:18Revision -
Line: string
Title:
LineMaximum Length:25Line item in a supplier negotiation. -
LineId: number
Unique identifier for the negotiation line item.
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
Rank: number
Read Only:
trueRank of the awarded line item. -
RecommendedAwardId: integer
(int64)
Read Only:
trueUnique identifier of the recommended award in a supplier negotiation. -
ResponseNumber: integer
(int64)
Read Only:
trueUnique identifier of the supplier response in a supplier negotiation. -
ResponsePrice: number
Read Only:
truePrice given by the supplier for a line item in a supplier negotiation. -
ResponseQuantity: number
Read Only:
trueQuantity given by the supplier for a line item in a supplier negotiation. -
SavingsAmount: number
Read Only:
trueTotal savings in the negotiation currency for a line item based on the supplier's response price. -
SavingsPercentage: number
Read Only:
trueTotal savings in percentage for a line item based on the supplier's response price. -
TargetPrice: number
Title:
Target PriceTarget price shared by the category manager for a line item in a supplier negotiation. -
UnitOfMeasure: string
Title:
UOM NameRead Only:trueMaximum Length:25Measurement unit for a line item in a supplier negotiation.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : supplierNegotiationAwards-responses-item-response
Type:
Show Source
object-
AuctionHeaderId: integer
(int64)
Read Only:
trueValue that uniquely identifies the negotiation. -
awardedLineDetails: array
Awarded Line Details
Title:
Awarded Line DetailsDetails of the awarded lines for a response. -
AwardInternalNote: string
Read Only:
trueMaximum Length:4000Note to the internal members entered by the buyer regarding the award decision. -
AwardNoteToSupplier: string
Read Only:
trueMaximum Length:4000Note to supplier entered during the award process by the buyer. -
AwardStatusCode: string
Read Only:
trueMaximum Length:25Value that identifies whether the response was awarded or rejected. -
BusinessRelationship: string
Read Only:
trueMaximum Length:30Display name of the business relationship of the supplier's enterprise. Values include None, Prospective, and Spend Authorized. -
BusinessRelationshipCode: string
Read Only:
trueMaximum Length:30Abbreviation that identifies the business relationship of the supplier's enterprise. Values include NONE, PROSPECTIVE, and SPEND_AUTHORIZED. A list of accepted values is defined in the lookup type ORA_POZ_BUSINESS_RELATIONSHIP. -
CompositeRank: number
Read Only:
trueRank calculated based on the composite score of a supplier. The higher the composite score, then the higher the overall rank. -
CompositeScore: number
Read Only:
trueSum of the weighted requirement score, and the relative pricing score that's calculated based on the total response amount provided by the supplier. The higher the composite score, the better the overall rank. -
CurrencyCode: string
Read Only:
trueMaximum Length:15Value that identifies the code of the currency used by buyer organization. -
CurrentValue: number
Sum of amounts of all the lines in the negotiation.
-
HasActiveResponse: string
Read Only:
trueMaximum Length:1Specifies if there is an active response for the given Supplier and Site combination. -
IntendToParticipate: string
Title:
Will ParticipateRead Only:trueMaximum Length:1Indicates whether invited bidder intends to participate. -
IsResponseDisqualified: string
Read Only:
trueMaximum Length:6Indicates whether the response status is disqualified. Values include Y and N. -
LinesResponded: integer
Read Only:
trueNumber of lines responded to in the negotiation response. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
NumberOfAlternateLines: number
Read Only:
trueNumber of alternate lines for a negotiation line. -
NumberOfAwardedLines: number
Title:
Number of Lines AwardedRead Only:trueNumber of negotiation lines that are awarded to a response. -
OriginalScore: number
Read Only:
trueOriginal Score -
OverallRankingMethodCode: string
Read Only:
trueMaximum Length:30Abbreviation identifying the method used by the application to calculate the overall ranking for supplier responses. Accepted values include RESPONSE_AMOUNT_ONLY, COMPOSITE_SCORE, or NONE, as defined in the lookup type ORA_PON_OVERALL_RANKING_METHOD. -
OverriddenScore: number
Read Only:
trueNew score for a given quote or score that replaces the system-computed average score. -
PartialResponseFlag: boolean
Read Only:
trueMaximum Length:1Contains one of the following values: true or false. If true, then the supplier has submitted a partial response. A partial response means the supplier hasn't bid on all lines or is offering a lesser quantity than asked for in the negotiation line. -
PartialResponseInformation: string
Read Only:
trueMaximum Length:255Provides details about the supplier's partial response, indicating which negotiation lines weren't bid on. -
PreviousRoundResponseNumber: integer
Value that uniquely identifies the response for the previous round of the negotiation.
-
PreviousRoundScore: number
Value calculated by summing the scores of a supplier's responses to requirements specified in the previous negotiation round.
-
ProcurementBUId: integer
(int64)
Read Only:
trueValue that uniquely identifies the procurement business unit that owns the negotiation. -
ResponseAmount: number
Title:
ResponseRead Only:trueTotal amount calculated for all line items that the supplier offered a price for when responding to a negotiation. -
ResponseNumber: integer
Read Only:
trueValue that uniquely identifies the response. -
ResponseType: string
Read Only:
trueMaximum Length:80Specifies the type of the response as primary or alternate. The list of values is listed in the lookup table TYPE_OF_RESPONSE. -
SavingsInAmount: number
Value that identifies the amount of savings generated by awarding the lines to one or more supplier responses.
-
SavingsInPercent: number
Value that identifies the savings percentage that's generated from the awarded supplier responses to the negotiation.
-
Score: number
Title:
ScoreRead Only:trueValue calculated by summing the scores associated with a supplier's responses to requirements specified in the negotiation. -
ScoreOverriddenFlag: boolean
Read Only:
trueMaximum Length:1Contains one of the following values: true or false. If true, then the buyer has overridden the score. If false, then the score isn't overridden. -
ShortlistFlag: boolean
Read Only:
trueMaximum Length:1Value that indicates whether the corresponding bid has been shortlisted. -
SpendAuthorizationReviewStatusCode: string
Read Only:
trueMaximum Length:30Status code of the supplier's spend authorization review. Accepted values include PENDING_APPROVAL and REJECTED. -
Supplier: string
Title:
SupplierRead Only:trueMaximum Length:360Name of the supplier who responds to the negotiation. -
SupplierContact: string
Title:
Supplier ContactRead Only:trueMaximum Length:360Name of the supplier contact at the supplier that responds to the negotiation. -
SupplierContactId: integer
(int64)
Read Only:
trueValue that identifies the contact of the supplier who responds to the negotiation. -
SupplierEligibilityCode: string
Read Only:
trueMaximum Length:4000Abbreviation that identifies the supplier's sourcing eligibility status. Values include ALLOWED, NOT_ALLOWED, and WARNING. A list of accepted values is defined in the lookup type ORA_POQ_SOURCING_ELIGIBILITY. -
SupplierId: integer
Read Only:
trueValue that uniquely identifies the supplier. -
SupplierNumber: string
Read Only:
trueMaximum Length:255Number that identifies the supplier that the application invited to respond to the negotiation. -
SupplierSite: string
Title:
Supplier SiteRead Only:trueMaximum Length:240Name of the supplier site. -
SupplierSiteId: integer
(int64)
Read Only:
trueValue that identifies the supplier site. -
TechnicalShortlistFlag: boolean
Read Only:
trueMaximum Length:1Value that indicates if the bid has been shortlisted during the technical evaluation or not. -
TotalAwardAmount: number
Title:
AwardRead Only:trueThe total amount awarded to the supplier response. -
TotalLines: integer
Read Only:
trueTotal number of negotiation lines. -
TransformedRank: number
Read Only:
trueTransformed Rank for this particular bid. -
TransformedResponseAmount: number
Read Only:
trueTransformed bid total in buyer's currency. -
VendorId: integer
Read Only:
trueValue that uniquely identifies the bidder.
Nested Schema : Awarded Line Details
Type:
arrayTitle:
Awarded Line DetailsDetails of the awarded lines for a response.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : supplierNegotiationAwards-responses-awardedLineDetails-item-response
Type:
Show Source
object-
AgreementQuantity: number
Read Only:
trueTotal quantity of line items recommended for award in a blanket purchase agreement during a supplier negotiation. -
AlternateLineDescription: string
Read Only:
trueMaximum Length:2500Description of an alternate line. -
AlternateLineFlag: boolean
Read Only:
trueMaximum Length:1Value that indicates if alternate lines are present in the negotiation. -
AwardAmount: number
Read Only:
trueAmount awarded to a supplier response line. -
AwardQuantity: number
Read Only:
trueTotal quantity of line items awarded in a supplier negotiation. -
CategoryName: string
Read Only:
trueMaximum Length:250The purchasing category for the negotiation line. -
CurrentPrice: number
Read Only:
truePrice that the procurement organization pays for the item or service. -
EstimatedQuantity: number
Read Only:
trueEstimated quantity for the negotiation line on the blanket purchase agreement. -
Item: string
Read Only:
trueMaximum Length:300Name of the inventory item that the buyer intends to purchase. -
ItemRevision: string
Read Only:
trueMaximum Length:18Revision of the inventory item on the negotiation line. -
Line: string
Read Only:
trueMaximum Length:25Line number of the negotiation line. -
LineDescription: string
Read Only:
trueMaximum Length:2500Description of the negotiation line. -
LineId: number
Read Only:
trueUnique identifier of the negotiation line. -
LineType: string
Read Only:
trueMaximum Length:30Name of the line type that indicates whether the line is for items or services. A list of accepted values is defined in the lookup code ORDER_TYPE_LOOKUP_CODE, with values including Fixed Price and Quantity. To review and update the value for this attribute, use the Setup and Maintenance work area and the Manage Purchasing Line Types task. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
Manufacturer: string
Title:
ManufacturerRead Only:trueMaximum Length:360Name of the line type that indicates whether the line is for items or services. A list of accepted values is defined in the lookup code ORDER_TYPE_LOOKUP_CODE, with values including Fixed Price and Quantity. To review and update the value for this attribute, use the Setup and Maintenance work area and the Manage Purchasing Line Types task. -
ManufacturerPartNumber: string
Title:
Manufacturer Part NumberRead Only:trueMaximum Length:150Name of the line type that indicates whether the line is for items or services. A list of accepted values is defined in the lookup code ORDER_TYPE_LOOKUP_CODE, with values including Fixed Price and Quantity. To review and update the value for this attribute, use the Setup and Maintenance work area and the Manage Purchasing Line Types task. -
NewSupplierItem: string
Title:
New Supplier ItemRead Only:trueMaximum Length:150New supplier item provided by the supplier during the response creation process. -
PromisedDeliveryDate: string
(date)
Read Only:
trueDate on which the supplier has promised to deliver the goods to the buying organization. -
PurchaseDocumentAmount: number
Read Only:
trueThe total amount of the line item based on the awarded quantity. -
PurchaseDocumentPrice: number
Read Only:
truePrice of the line item based on the award quantity. -
Quantity: number
Read Only:
trueQuantity of the item in the negotiation. -
Rank: number
Read Only:
trueThe rank value displayed for the line item based on the response price. -
RequestedDeliveryDate: string
(date)
Read Only:
trueDate by which delivery of goods is requested from suppliers. -
Requisition: string
Read Only:
trueMaximum Length:64Requisition number that the negotiation line references. -
RequisitioningBU: string
Read Only:
trueMaximum Length:240Name of the requisition purchasing unit that the application uses to set default values for each negotiation line. -
RequisitionLine: number
Read Only:
trueRequisition line number that the negotiation line references. -
ResponseNumber: integer
(int64)
Read Only:
trueValue that uniquely identifies the response. -
ResponsePrice: number
Read Only:
truePrice given by the supplier for a line item in a supplier negotiation. -
ResponseQuantity: string
Read Only:
trueMaximum Length:40Quantity given by the supplier for a line item in a supplier negotiation. -
SavingsInAmount: number
Read Only:
trueValue that identifies the amount of savings generated by awarding the lines to one or more supplier responses. -
SavingsInPercent: number
Read Only:
trueValue that identifies the savings percentage that's generated from the awarded supplier responses to the negotiation. -
SupplierItem: string
Title:
Supplier ItemRead Only:trueMaximum Length:150Unique value assigned by the supplier to identify an item, either by name or number. -
TargetPrice: number
Read Only:
trueTarget price shared by the category manager for a line item in a supplier negotiation. -
UOM: string
Read Only:
trueMaximum Length:25Name of the unit of measure for the item in the negotiation.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : supplierNegotiationAwards-responsesEliminatedByKnockoutCriteria-item-response
Type:
Show Source
object-
AwardStatusCode: string
Maximum Length:
25Value that identifies whether the response was awarded or rejected. -
CompositeScore: number
Sum of the weighted requirement score, and the relative pricing score that's calculated based on the total response amount provided by the supplier. The higher the composite score, the better the overall rank.
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
OriginalCompositeScore: number
Read Only:
trueComposite score for a supplier response before overriding. -
OriginalScore: number
Read Only:
trueScore for a supplier response before overriding. -
RequirementsNotMet: number
Title:
Requirements Not MetRead Only:trueIndicates the number of requirements that didn't meet the knockout criteria. -
ResponseNumber: integer
(int64)
Title:
ResponseValue that uniquely identifies the response. -
Score: number
Title:
ScoreRead Only:trueValue calculated by summing the scores associated with a supplier's responses to requirements specified in the negotiation. -
ScoreOverriddenFlag: boolean
Maximum Length:
1Contains one of the following values: true or false. If true, then the buyer has overridden the score. If false, then the score isn't overridden. -
ShortlistFlag: boolean
Title:
Current Shortlist StatusMaximum Length:1Value that indicates whether the corresponding bid has been shortlisted. -
Supplier: string
Title:
SupplierRead Only:trueMaximum Length:360Name of the supplier who responds to the negotiation. -
SupplierContact: string
Title:
Supplier ContactRead Only:trueName of the supplier contact at the supplier that responds to the negotiation. -
SupplierSite: string
Title:
Supplier SiteRead Only:trueMaximum Length:240Name of the supplier site. -
SupplierSiteId: integer
(int64)
Value that identifies the supplier site.
-
VendorId: integer
(int64)
Value that uniquely identifies the bidder.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : supplierNegotiationAwards-responsesQualifiedByKnockoutCriteria-item-response
Type:
Show Source
object-
AwardStatusCode: string
Maximum Length:
25Value that identifies whether the response was awarded or rejected. -
CompositeScore: number
Sum of the weighted requirement score, and the relative pricing score that's calculated based on the total response amount provided by the supplier. The higher the composite score, the better the overall rank.
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
OriginalCompositeScore: number
Read Only:
trueComposite score for a supplier response before overriding. -
OriginalScore: number
Read Only:
trueScore for a supplier response before overriding. -
ResponseNumber: integer
(int64)
Title:
ResponseValue that uniquely identifies the response. -
Score: number
Title:
ScoreRead Only:trueValue calculated by summing the scores associated with a supplier's responses to requirements specified in the negotiation. -
ScoreOverriddenFlag: boolean
Maximum Length:
1Contains one of the following values: true or false. If true, then the buyer has overridden the score. If false, then the score isn't overridden. -
ShortlistFlag: boolean
Title:
Current Shortlist StatusMaximum Length:1Value that indicates whether the corresponding bid has been shortlisted. -
Supplier: string
Title:
SupplierRead Only:trueMaximum Length:360Name of the supplier who responds to the negotiation. -
SupplierContact: string
Title:
Supplier ContactRead Only:trueName of the supplier contact at the supplier that responds to the negotiation. -
SupplierSite: string
Title:
Supplier SiteRead Only:trueMaximum Length:240Name of the supplier site. -
SupplierSiteId: integer
(int64)
Value that identifies the supplier site.
-
VendorId: integer
(int64)
Value that uniquely identifies the bidder.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source